# Uses of Class
org.jmol.adapter.smarter.Bond

Packages that use Bond
Package
Description
org.jmol.adapter.readers.molxyz
org.jmol.adapter.smarter

## Uses of Bond in org.jmol.adapter.readers.molxyz

Methods in org.jmol.adapter.readers.molxyz that return Bond
Modifier and Type
Method
Description
`Bond`
MolReader.`addMolBond(String iAtom1, String iAtom2, int order, int stereo)`

## Uses of Bond in org.jmol.adapter.smarter

Fields in org.jmol.adapter.smarter declared as Bond
Modifier and Type
Field
Description
`Bond[]`
AtomSetCollection.`bonds`
Methods in org.jmol.adapter.smarter that return Bond
Modifier and Type
Method
Description
`Bond`
AtomSetCollection.`addNewBondFromNames(String atomName1, String atomName2, int order)`
`Bond`
AtomSetCollection.`addNewBondWithOrder(int atomIndex1, int atomIndex2, int order)`
`Bond`
AtomSetCollection.`addNewBondWithOrderA(Atom atom1, Atom atom2, int order)`
Methods in org.jmol.adapter.smarter with parameters of type Bond
Modifier and Type
Method
Description
`void`
AtomSetCollection.`addBond(Bond bond)`
`void`
AtomSetCollection.`addBondNoCheck(Bond bond)`